{"openapi":"3.0.4","info":{"title":"List Valuation Points Overview for a given Fund.","description":"List the overview of all the Valuation Points that match the given criteria for a given Fund.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/valuationPointOverview":{"get":{"tags":["Funds"],"summary":"List Valuation Points Overview for a given Fund.","description":"List the overview of all the Valuation Points that match the given criteria for a given Fund.","operationId":"ListValuationPointOverview","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to list the TimeVariant properties for the Valuation Points. Defaults to the current LUSID\r\n            system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to list the Valuation Points. Defaults to returning the latest version of each Valuation Point if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing Valuation Points; this\r\n            value is returned from the previous call. If a pagination token is provided, the filter, effectiveAt\r\n            and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the results to this number. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the results by.\r\n            For example, to filter on the NAV, specify \"NAV gt 300\". For more information about filtering\r\n            results, see https://support.lusid.com/knowledgebase/article/KA-01914.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'DiaryEntry' domain to decorate onto each ValuationPoint.\r\n            These must take the format {domain}/{scope}/{code}, for example 'DiaryEntry/ValuationPoint/Id'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"navTypeCode","in":"query","description":"When provided, runs against the specified NAV Type, otherwise the Primary NAV Type will be used.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"The overviews of the requested Valuation Points.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfValuationPointOverview"},"example":{"values":[{"diaryEntryCode":"ValuationPointOverviewCode","diaryEntryVariant":"first","effectiveFrom":"2024-01-01T00:00:00.0000000+00:00","effectiveTo":"2024-02-01T00:00:00.0000000+00:00","queryAsAt":"2024-03-01T00:00:00.0000000+00:00","type":"ValuationPoint","status":"Final","gav":100,"nav":150,"holdingsAsAtOverride":"2024-03-03T00:00:00.0000000+00:00","valuationsAsAtOverride":"2024-03-02T00:00:00.0000000+00:00","properties":{"DiaryEntry/Scope1/Code1":{"key":"DiaryEntry/Scope1/Code1","value":{"labelValue":"Some comments"}}}}],"links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfValuationPointOverview"},"example":{"values":[{"diaryEntryCode":"ValuationPointOverviewCode","diaryEntryVariant":"first","effectiveFrom":"2024-01-01T00:00:00.0000000+00:00","effectiveTo":"2024-02-01T00:00:00.0000000+00:00","queryAsAt":"2024-03-01T00:00:00.0000000+00:00","type":"ValuationPoint","status":"Final","gav":100,"nav":150,"holdingsAsAtOverride":"2024-03-03T00:00:00.0000000+00:00","valuationsAsAtOverride":"2024-03-02T00:00:00.0000000+00:00","properties":{"DiaryEntry/Scope1/Code1":{"key":"DiaryEntry/Scope1/Code1","value":{"labelValue":"Some comments"}}}}],"links":[]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfValuationPointOverview"},"example":{"values":[{"diaryEntryCode":"ValuationPointOverviewCode","diaryEntryVariant":"first","effectiveFrom":"2024-01-01T00:00:00.0000000+00:00","effectiveTo":"2024-02-01T00:00:00.0000000+00:00","queryAsAt":"2024-03-01T00:00:00.0000000+00:00","type":"ValuationPoint","status":"Final","gav":100,"nav":150,"holdingsAsAtOverride":"2024-03-03T00:00:00.0000000+00:00","valuationsAsAtOverride":"2024-03-02T00:00:00.0000000+00:00","properties":{"DiaryEntry/Scope1/Code1":{"key":"DiaryEntry/Scope1/Code1","value":{"labelValue":"Some comments"}}}}],"links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}